
QGIS Application - Bug report #7607

Crash after importing a vector layer to db using DBManager

2013-04-14 03:22 AM - Emilio Loi

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16535

Description

In a new project, load a shape file then import the layer to db using DBManager. After importing, close DBManager and right or left click

anywhere on the canvas or on the table of content. Qgis will crash immediately.

History

#1 - 2013-04-14 02:07 PM - Giuseppe Sucameli

- Status changed from Open to Feedback

- Assignee set to Giuseppe Sucameli

Unable to reproduce it...

Please, give me more details on how to reproduce it, OS and QGis version...

#2 - 2013-04-16 01:05 AM - Emilio Loi

Giuseppe Sucameli wrote:

Please, give me more details on how to reproduce it, OS and QGis version...

It happens on Ubuntu 12.10 3.5.0-27 with Qgis versions 1.9.0-master rev 8e11e5f & rev 8694c19

#3 - 2013-04-16 01:55 AM - Giuseppe Sucameli

Are you importing the shapefile on a PG or SL database? What version of PG/SL? Could you provide the shapefile (or, better, a subset) you import to

reproduce the problem?

#4 - 2013-04-16 02:43 AM - Emilio Loi

PostgreSQL 9.1.9 

POSTGIS="2.0.2 r10789"

You can use any sample file in tests/testdata folder (i.e. french_parts.shp)

#5 - 2013-06-16 01:00 AM - Paolo Cavallini
- Priority changed from High to Normal

I cannot reproduce it either

#6 - 2014-01-26 10:13 AM - Giovanni Manghi

closing for lack of feedback.

#7 - 2014-01-26 10:13 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
